aboutsummaryrefslogtreecommitdiff
path: root/target
diff options
context:
space:
mode:
authorGravatar Eric Andersen <andersen@codepoet.org>2006-04-10 21:26:27 +0000
committerGravatar Eric Andersen <andersen@codepoet.org>2006-04-10 21:26:27 +0000
commitbfcb34c69f8a1e28bbd2daf3d5841350fa855f10 (patch)
treed9726bf3cccdd7c336138e862e4353ec443fbdcd /target
parent7be3856489431f64de60dd69cc9ee7ae361c7754 (diff)
downloadbuildroot-bfcb34c69f8a1e28bbd2daf3d5841350fa855f10.tar.gz
buildroot-bfcb34c69f8a1e28bbd2daf3d5841350fa855f10.tar.bz2
accomodate a read only rootfs
Diffstat (limited to 'target')
-rwxr-xr-xtarget/device/AMD/DBAu1500/target_skeleton/etc/init.d/S20urandom10
-rwxr-xr-xtarget/device/jp/q5/target_skeleton/etc/init.d/S20urandom10
-rwxr-xr-xtarget/generic/target_skeleton/etc/init.d/S20urandom10
3 files changed, 30 insertions, 0 deletions
diff --git a/target/device/AMD/DBAu1500/target_skeleton/etc/init.d/S20urandom b/target/device/AMD/DBAu1500/target_skeleton/etc/init.d/S20urandom
index 433fafee4e..f73cea59ed 100755
--- a/target/device/AMD/DBAu1500/target_skeleton/etc/init.d/S20urandom
+++ b/target/device/AMD/DBAu1500/target_skeleton/etc/init.d/S20urandom
@@ -21,6 +21,12 @@ case "$1" in
then
cat /etc/random-seed >/dev/urandom
fi
+ # check for read only file system
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ echo "read-only file system detected...done"
+ exit
+ fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
@@ -29,6 +35,10 @@ case "$1" in
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ exit
+ fi
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "
diff --git a/target/device/jp/q5/target_skeleton/etc/init.d/S20urandom b/target/device/jp/q5/target_skeleton/etc/init.d/S20urandom
index 433fafee4e..f73cea59ed 100755
--- a/target/device/jp/q5/target_skeleton/etc/init.d/S20urandom
+++ b/target/device/jp/q5/target_skeleton/etc/init.d/S20urandom
@@ -21,6 +21,12 @@ case "$1" in
then
cat /etc/random-seed >/dev/urandom
fi
+ # check for read only file system
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ echo "read-only file system detected...done"
+ exit
+ fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
@@ -29,6 +35,10 @@ case "$1" in
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ exit
+ fi
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "
diff --git a/target/generic/target_skeleton/etc/init.d/S20urandom b/target/generic/target_skeleton/etc/init.d/S20urandom
index 433fafee4e..f73cea59ed 100755
--- a/target/generic/target_skeleton/etc/init.d/S20urandom
+++ b/target/generic/target_skeleton/etc/init.d/S20urandom
@@ -21,6 +21,12 @@ case "$1" in
then
cat /etc/random-seed >/dev/urandom
fi
+ # check for read only file system
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ echo "read-only file system detected...done"
+ exit
+ fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
@@ -29,6 +35,10 @@ case "$1" in
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ exit
+ fi
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "